/* gnubiff -- a mail notification program
 * Copyright (C) 2000-2003 Nicolas Rougier
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this software; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

// ===================================================================
/**
   @class AppletGTK
   @brief Applet for GTK only (use a non-dockable biff windonw)

   This is the applet class for a GTK only version of gnubiff.
*/
// ===================================================================

#ifndef _APPLET_GTK_H
#define _APPLET_GTK_H

#ifdef HAVE_CONFIG_H
#   include "../config/config.h"
#endif
#include "Applet.h"


// ===================================================================
// - Constant definitions --------------------------------------------
// ===================================================================


using namespace std;
class AppletGTK : public Applet {
  // ===================================================================
  // - Public methods --------------------------------------------------
  // ===================================================================
public:
  //! @name Base functions
  AppletGTK (class Biff *owner, string xmlFilename);
  ~AppletGTK (void);
  //@}


  //! @name Object manipulations
  void update (void);
  void show (string name = "dialog");
  void hide (string name = "dialog");
  // @}


  //! @name Callbacks
  gboolean on_button_press (GdkEventButton *event);
  // @}


  // ===================================================================
  // - Public attributes -----------------------------------------------
  // ===================================================================
public:



  // ===================================================================
  // - Protected methods -----------------------------------------------
  // ===================================================================
protected:

  // ===================================================================
  // - Protected attributes --------------------------------------------
  // ===================================================================
protected:



  // ===================================================================
  // - Private methods -------------------------------------------------
  // ===================================================================
private:

  // ===================================================================
  // - Private attributes ----------------------------------------------
  // ===================================================================
private:
};

#endif /* _APPLET_GTK_H */
