/* gnubiff -- a mail notification program
 * Copyright (C) 2000-2003 Nicolas Rougier
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this software; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#include <string>
#include <sstream>
#include <glib.h>
#include <sys/stat.h>
#include <utime.h>
#include "Pop3.h"



// ===================================================================
// = Static attributes ===============================================
// ===================================================================


// ===================================================================
// = Callbacks "C" binding ===========================================
// ===================================================================


// ===================================================================
// = Pop3 ============================================================
// ===================================================================
Pop3::Pop3 (Biff *owner) : Pop (owner) {
  _saved.clear();
}


// ===================================================================
// = ~Pop3 ===========================================================
// ===================================================================
Pop3::~Pop3 (void) {
}


// ===================================================================
// = connect =========================================================
// ===================================================================
void Pop3::connect (void) {
  string line;

  // Check password is not empty
  if (_owner->_password.empty())
    return;

  // Connection
  socket_open (_owner->_address, _owner->_port);
  CHECK_SOCKET;
  socket_read (line);
  CHECK_SERVER_RESPONSE;

  // LOGIN
  line = "USER " + _owner->_user + string ("\r\n");
  socket_write (line);
  CHECK_SOCKET;
  socket_read (line);
  CHECK_SERVER_RESPONSE;

  line = "PASS " + _owner->_password + string ("\r\n");
  socket_write (line);
  CHECK_SOCKET;
  socket_read (line);
  CHECK_SERVER_RESPONSE;
}
